/Users/bernard/b20/bsoft/src/bkernel.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bkernel.cpp - Program to calculate filter kernels.

SYNOPSIS

#include 'rwimg.h'
#include 'FSI_Kernel.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to calculate filter kernels.

Author:
    Bernard Heymann

Date:
    Created: 20051102

    Modified: 20150910

Definition in file bkernel.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 39 of file bkernel.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bkernel [options] output.krn",
"-----------------------------------",
"Calculates filter kernels.",
"The default kernel just calculates the mean.",
"The different types of kernel are mutually exclusive.",
" ",
"Actions:",
"-gaussian 1.7,8.4        Gaussian kernel with the indicated sigma and maximum.",
"-log 2.5,5               Laplacian of gaussian kernel with the indicated sigma and maximum.",
"-frequency 8,2           Frequency space kernel: width and power.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-size 5,7,9              Size of kernel (voxels).",
" ",
NULL
}

Definition at line 19 of file bkernel.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.